using System.Collections.Generic;
using System.Linq;
using UnityEngine;

namespace CheesyFX
{
    public class Throat : Orifice
    {
        public override void Init(string name)
        {
            base.Init(name);
            DAZCharacterSelector characterSelector = FillMeUp.atom.GetStorableByID("geometry") as DAZCharacterSelector;
            GenerateDAZMorphsControlUI morphControl = characterSelector.morphsControlUI;
			
            depthReference = FillMeUp.atom.rigidbodies.First(x => x.name == "ThroatTrigger");
            name = "Throat";
            // onEnterActions = orificeManager.bodyManager.audioManager.Stop;
            sensitivity.val = .2f;
            audioSource = depthReference.gameObject.AddComponent<AudioSource>();
        }

        public override void FixedUpdate()
        {
            base.FixedUpdate();
            var absSpeed = Mathf.Abs(speed.val);
            // if(!audioSource.isPlaying && absSpeed > .05f && depth.val > .05f)
            // {
            //     var clip = FillMeUp.bjLibrary.GetRandomClip();
            //     audioSource.clip = clip;
            //     audioSource.volume = 10f * absSpeed * (1f + depth.val)*(1f + depth.val);
            //     // audioSource.volume.Print();
            //     audioSource.Play();
            // }
        }
    }
}